/**
 * XInformationRecipient2.java
 *
 * File generated from the medication2::XInformationRecipient2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XInformationRecipient2.
 *
 * 
 */

@XmlType(name = "XInformationRecipient")
@XmlEnum
@XmlRootElement(name = "XInformationRecipient2")
public enum XInformationRecipient2 {
	@XmlEnumValue("PRCP")
	PRCP("PRCP"),
	@XmlEnumValue("TRC")
	TRC("TRC");
	
	private final String value;

    XInformationRecipient2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XInformationRecipient2 fromValue(String v) {
        for (XInformationRecipient2 c: XInformationRecipient2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
